Get the properties in a person property group
curl --request GET \
--url https://api.rallyuxr.com/api/public/v1/property-groups/{propertyGroupId}/properties \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rallyuxr.com/api/public/v1/property-groups/{propertyGroupId}/properties"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rallyuxr.com/api/public/v1/property-groups/{propertyGroupId}/properties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"propertyId": "<string>",
"name": "<string>",
"propertyType": "SINGLE_SELECT",
"propertyOptions": [
{
"propertyOptionId": "<string>",
"name": "<string>",
"order": "1"
}
],
"isUnique": true,
"isPHI": true,
"isPII": true,
"description": "<string>",
"propertyGroupId": "<string>"
}
],
"total": 123,
"pageInfo": {
"hasNextPage": true,
"hasPreviousPage": true,
"startCursor": "<string>",
"endCursor": "<string>"
}
}{
"errors": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}"Unauthorized""Forbidden""{Resource} not found""Too Many Requests""Internal Server Error"Person Properties
Get the properties in a person property group
Returns a paginated list of the person properties belonging to the given property group.
GET
/
property-groups
/
{propertyGroupId}
/
properties
Get the properties in a person property group
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the property group
Minimum string length:
1Query Parameters
The cursor to start fetching from
The number of properties to fetch
Required range:
x <= 100Example:
25
⌘I